Bug 1412741 - Gnome Shell slows down over time
Summary: Gnome Shell slows down over time
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 16:28 UTC by kostal.david8
Modified: 2017-12-12 10:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:06:38 UTC
Type: Bug


Attachments (Terms of Use)

Description kostal.david8 2017-01-12 16:28:33 UTC
Description of problem:
Gnome Shell environment starts being laggy and slow. For example the animations or switching windows.

Version-Release number of selected component (if applicable):
3.22.2-2.fc25

How reproducible:
Using the computer for about 1 hour and it starts to be slow.

Additional info:
GPU: Intel Corporation Haswell-ULT Integrated Graphics Controller (i915 driver)
Restarting the shell (alt+F2, typing "r") makes it good again for a while.
Old bug #799363 seems to be the same problem.

Comment 1 Casey 2017-08-04 11:46:34 UTC
This isn't specific to Fedora. I notice the same deterioration of frame rates over time on Ubuntu as well. As the session grows longer (say, approaching a week), gnome-shell starts occupying more memory and animations grow noticeably laggy even with few windows open.

Where might one start looking to debug this?

Comment 2 Timothée Jaussoin 2017-10-06 20:39:35 UTC
Reporting also a similar issue on a Debian Testing running Gnome 3.26.0 (on i915 drivers). 

I also have to restart (using alf+f2 and r) Gnome, this doesn't work on Wayland so I'm staying on X.org to still be able to restart Gnome3 once in a while without rebooting the whole session. It also happens on Wayland.

Comment 3 redhatted 2017-11-14 00:18:56 UTC
I can confirm that this still happens. I'm on GNOME Shell 3.26.1, ubuntu 17.10.

$ glxinfo | grep -i render
direct rendering: Yes
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
    GLX_MESA_multithread_makecurrent, GLX_MESA_query_renderer, 
Extended renderer info (GLX_MESA_query_renderer):
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile 
    GL_ARB_conditional_render_inverted, GL_ARB_copy_buffer, GL_ARB_copy_image, 
    GL_MESA_texture_signed_rgba, GL_NV_conditional_render, GL_NV_depth_clamp, 
    GL_ARB_conditional_render_inverted, GL_ARB_copy_buffer, GL_ARB_copy_image, 
    GL_NV_conditional_render, GL_NV_depth_clamp, GL_NV_light_max_exponent, 
    GL_OES_fbo_render_mipmap, GL_OES_get_program_binary, GL_OES_mapbuffer,

Seems like it's an Intel thing. I started to use Xorg instead to see if the issue is still present. I hope not.

Comment 4 Fedora End Of Life 2017-11-16 18:57:29 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:06:38 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.